# leap\_binder

{% hint style="warning" %}
Previous Tensorleap versions had multiple binding functions in the leap\_binder that were used to register your model and dataset. Please refer to [Tensorleap decorators](/tensorleap-integration/python-api/code_loader/decorators.md) to see how to register your functions for the Tensorleap Platform using the up-to-date syntax.
{% endhint %}

{% content-ref url="/spaces/9UXeOlFqlw8pl79U2HGU/pages/TwUZ5gkpmUgyDtU36VQ8" %}
[enums](/tensorleap-integration/python-api/code_loader/enums.md)
{% endcontent-ref %}

The `leap_binder` object defines project level information needed to visualize your predictions.

The **leap\_binder** functions:

* [**add\_prediction**](/tensorleap-integration/python-api/code_loader/leap_binder/add_prediction.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tensorleap.ai/tensorleap-integration/python-api/code_loader/leap_binder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
